Package org.eclipse.birt.chart.event

# Class StructureChangeEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.StructureChangeEvent

All Implemented Interfaces:
  `Serializable`

public final class StructureChangeEvent extends ChartEvent
A event type indicates a structure change.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AFTER`
`static final int`
`BEFORE`
`static final int`
`UNDEFINED`

## Constructor Summary

Constructors
Constructor
Description
`StructureChangeEvent(Object source)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getEventName(boolean bStripType)`
Returns the event name.
`int`
`getEventType()`
A convenience method provided to indicate if the event occurs before the start of a structure definition or after the end of a structure definition.
`void`
`reset()`
Resets the inner state of current event.
`void`
`setEventName(String sEventName)`
Sets the event name.

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### UNDEFINED

public static final int UNDEFINED

See Also:
  - Constant Field Values

### BEFORE

public static final int BEFORE

See Also:
  - Constant Field Values

### AFTER

public static final int AFTER

See Also:
  - Constant Field Values

## Constructor Details

### StructureChangeEvent

public StructureChangeEvent(Object source)
The constructor.

## Method Details

### getEventName

public String getEventName(boolean bStripType)
Returns the event name.

Parameters:
  `bStripType` - Specifies if the name if striped.
Returns:

### setEventName

public void setEventName(String sEventName)
Sets the event name.

Parameters:
  `sEventName` - This must include the 'before' or 'after' prefix as defined by each of the constants in IStructureDefinition

### getEventType

public int getEventType()
A convenience method provided to indicate if the event occurs before the start of a structure definition or after the end of a structure definition.

Returns:
  An event type indicating BEFORE or AFTER a structure definition

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Specified by:
  `reset` in class `ChartEvent`